fafff4ad709829656c8782e0charset=UTF-8
Last-Modified: Fri, 27 Dec 2024 19:35:07 GMT
Expires: Mon, 25 Dec 2034 19:35:07 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>.travis.yml - minetest.git - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/.travis.yml?h=lifo-fixes' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='b387f95ed31e9d1dc61ffd10f19187349705d6c9'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf'>gpcf</option>
<option value='lifo-fixes' selected='selected'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=lifo-fixes'>about</a><a href='/minetest.git/?h=lifo-fixes'>summary</a><a href='/minetest.git/refs/?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>refs</a><a href='/minetest.git/log/.travis.yml?h=lifo-fixes'>log</a><a class='active' href='/minetest.git/tree/.travis.yml?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>tree</a><a href='/minetest.git/commit/.travis.yml?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>commit</a><a href='/minetest.git/diff/.travis.yml?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/.travis.yml'>
<input type='hidden' name='h' value='lifo-fixes'/><input type='hidden' name='id' value='b387f95ed31e9d1dc61ffd10f19187349705d6c9'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>root</a>/<a href='/minetest.git/tree/.travis.yml?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>.travis.yml</a></div><div class='content'>blob: 534479efb7aa8b3b3b9c6fde77449f1ce76d855e (<a href='/minetest.git/plain/.travis.yml?h=lifo-fixes&amp;id=b387f95ed31e9d1dc61ffd10f19187349705d6c9'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
</pre></td>
<td class='lines'><pre><code><span class="hl kwa">language:</span> cpp
<span class="hl kwa">before_install:</span> ./util/travis/before_install.sh
<span class="hl kwa">script:</span> ./util/travis/<span class="hl kwc">script</span>.sh
<span class="hl kwa">sudo:</span> required
<span class="hl kwa">notifications:</span>
  <span class="hl kwa">email:</span> false
<span class="hl kwa">matrix:</span>
  <span class="hl kwa">fast_finish:</span> true
  <span class="hl kwa">include:</span>
    - <span class="hl kwa">env:</span> PLATFORM<span class="hl opt">=</span>Win<span class="hl num">32</span>
      <span class="hl kwa">compiler:</span> gcc
      <span class="hl kwa">os:</span> linux
    - <span class="hl kwa">env:</span> PLATFORM<span class="hl opt">=</span>Win<span class="hl num">64</span>
      <span class="hl kwa">compiler:</span> gcc
      <span class="hl kwa">os:</span> linux
    - <span class="hl kwa">env:</span> PLATFORM<span class="hl opt">=</span>Unix COMPILER<span class="hl opt">=</span>clang
      <span class="hl kwa">compiler:</span> clang
      <span class="hl kwa">os:</span> osx
    - <span class="hl kwa">env:</span> PLATFORM<span class="hl opt">=</span>Unix COMPILER<span class="hl opt">=</span>g<span class="hl opt">++</span>
      <span class="hl kwa">compiler:</span> gcc
      <span class="hl kwa">os:</span> linux
    - <span class="hl kwa">env:</span> PLATFORM<span class="hl opt">=</span>Unix COMPILER<span class="hl opt">=</span>clang
      <span class="hl kwa">compiler:</span> clang
      <span class="hl kwa">os:</span> linux
    - <span class="hl kwa">env:</span> PLATFORM<span class="hl opt">=</span>Unix COMPILER<span class="hl opt">=</span>g<span class="hl opt">++</span>-<span class="hl num">6</span>
      <span class="hl kwa">compiler:</span> gcc
      <span class="hl kwa">os:</span> linux
<span class="hl kwa">addons:</span>
  <span class="hl kwa">apt:</span>
    <span class="hl kwa">sources:</span> <span class="hl opt">&amp;</span>sources
      - ubuntu-toolchain-r-test
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2024-12-27 19:35:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
